<?php

return [
    'routes' => [
//		['name' => 'page#index', 'url' => '/', 'verb' => 'GET'],

    // get a list of groups for the current user
        ['name' => 'vibe_api#get_groups_user', 'url' => '/api/v1/groups-user', 'verb' => 'GET'],

    // get a list of groups from WAMC
        ['name' => 'vibe_api#get_groups_vibe', 'url' => '/api/v1/groups-vibe', 'verb' => 'GET'],

    // LINKS
    // get a list of linked groups
        ['name' => 'links#index', 'url' => '/api/v1/links/index', 'verb' => 'GET'],
        ['name' => 'links#links_create', 'url' => '/api/v1/links/create', 'verb' => 'POST'],
        ['name' => 'links#links_remove', 'url' => '/api/v1/links/remove', 'verb' => 'POST'],

    // non export users
        ['name' => 'neusers#index', 'url' => '/api/v1/neusers/index', 'verb' => 'GET'],
        ['name' => 'neusers#export_bystep', 'url' => '/api/v1/neusers/export-bystep', 'verb' => 'GET'],
        ['name' => 'neusers#export_selected', 'url' => '/api/v1/neusers/export-selected', 'verb' => 'POST'],

        ['name' => 'users#get_info_user', 'url' => '/api/v1/users/info', 'verb' => 'POST'],
        ['name' => 'users#response_vibe', 'url' => '/api/v1/users/response-vibe', 'verb' => 'POST'],
        ['name' => 'users#reset_vibe_admin', 'url' => '/api/v1/users/reset-vibe-admin', 'verb' => 'POST'],

        ['name' => 'export#users_to_vibe', 'url' => '/api/v1/export', 'verb' => 'GET'],
        ['name' => 'export#users_to_vibe_bygroup', 'url' => '/api/v1/export_bygroup', 'verb' => 'GET'],
        ['name' => 'export#users_to_vibe_bystep', 'url' => '/api/v1/export-bystep', 'verb' => 'GET'],
//        ['name' => 'UsersTest#create_user_for_test', 'url' => '/api/v1/create_user_for_test', 'verb' => 'GET'],

        ['name' => 'setup#get_setup_apikey', 'url' => '/api/v1/setup/apikey', 'verb' => 'GET'],
        ['name' => 'setup#set_setup_apikey', 'url' => '/api/v1/setup/apikey', 'verb' => 'POST'],

        ['name' => 'setup#get_setup_timeout', 'url' => '/api/v1/setup/timeout', 'verb' => 'GET'],
        ['name' => 'setup#set_setup_timeout', 'url' => '/api/v1/setup/timeout', 'verb' => 'POST'],

        ['name' => 'test#groups', 'url' => '/test/groups', 'verb' => 'GET'],
    ],

    'ocs' => [
        ['name' => 'Identify#getIdentify', 'url' => '/api/v1/identity/{id}', 'verb' => 'GET'],
        ['name' => 'Identify#setIdentify', 'url' => '/api/v1/identity', 'verb' => 'PUT'],
		['name' => 'Key#setPrivateKey', 'url' => '/api/v1/private-key', 'verb' => 'POST'],
		['name' => 'Key#getPrivateKey', 'url' => '/api/v1/private-key', 'verb' => 'GET'],
		['name' => 'Key#deletePrivateKey', 'url' => '/api/v1/private-key', 'verb' => 'DELETE'],
		['name' => 'Key#createPublicKey', 'url' => '/api/v1/public-key', 'verb' => 'POST'],
		['name' => 'Key#getPublicKeys', 'url' => '/api/v1/public-key', 'verb' => 'GET'],
		['name' => 'Key#deletePublicKey', 'url' => '/api/v1/public-key', 'verb' => 'DELETE'],
		['name' => 'Key#getPublicServerKey', 'url' => '/api/v1/server-key', 'verb' => 'GET'],
		['name' => 'MetaData#setMetaData', 'url' => '/api/v1/meta-data/{id}', 'verb' => 'POST'],
		['name' => 'MetaData#getMetaData', 'url' => '/api/v1/meta-data/{id}', 'verb' => 'GET'],
		['name' => 'MetaData#updateMetaData', 'url' => '/api/v1/meta-data/{id}', 'verb' => 'PUT'],
		['name' => 'MetaData#deleteMetaData', 'url' => '/api/v1/meta-data/{id}', 'verb' => 'DELETE'],
		['name' => 'Encryption#setEncryptionFlag', 'url' => '/api/v1/encrypted/{id}', 'verb' => 'PUT'],
		['name' => 'Encryption#removeEncryptionFlag', 'url' => '/api/v1/encrypted/{id}', 'verb' => 'DELETE'],
		['name' => 'Locking#lockFolder', 'url' => '/api/v1/lock/{id}', 'verb' => 'POST'],
		['name' => 'Locking#unlockFolder', 'url' => '/api/v1/lock/{id}', 'verb' => 'DELETE'],

		['name' => 'Users#getListSharedUsersPerGroup', 'url' => '/api/v1/sharees', 'verb' => 'GET'],
        ['name' => 'Users#getGroups', 'url' => '/api/v1/users/get-groups/{id}', 'verb' => 'GET'],

	],
];
