<?php

namespace OCA\VibeEToEe\Db;

use JsonSerializable;
use OCP\AppFramework\Db\Entity;

class Export extends Entity implements JsonSerializable {

    protected $identity;
    protected $email;
    protected $data;
    protected $status;

	public function jsonSerialize() {
        return [
            'id' => $this->id,
            'identity' => $this->identity,
            'email' => $this->email,
            'data' => $this->data,
            'status' => $this->status,
        ];
    }
}
