<?php

namespace OCA\VibeEToEe\Events;

use OCP\EventDispatcher\Event;

class UnlinkedGroupsEvent extends Event {

    private $group;
    private $vibegroup;


	public function __construct(string $group, string $vibegroup) {
		parent::__construct();

		$this->group = $group;
		$this->vibegroup = $vibegroup;
	}

    /**
     * @return string
     */
	public function getGroupId(): string {
	    return $this->group;
    }

    /**
     * @return string
     */
    public function getVibeGroupId(): string {
	    return $this->vibegroup;
    }
}
