// Dialogs css
import '@nextcloud/dialogs/styles/toast.scss'

import 'core-js/stable'

import Vue from 'vue'
import App from './App'
// import router from './router'
import store from './store'

// import { sync } from 'vuex-router-sync'
import { getRequestToken } from '@nextcloud/auth'
import { linkTo } from '@nextcloud/router'
// import { generateFilePath } from '@nextcloud/router'
// import ClickOutside from 'vue-click-outside'
// import VTooltip from '@nextcloud/vue/dist/Directives/Tooltip'
// import VueClipboard from 'vue-clipboard2'

// Register global directives
// Vue.directive('ClickOutside', ClickOutside)
// Vue.use(VTooltip)
// Vue.use(VueClipboard)

// CSP config for webpack dynamic chunk loading
// eslint-disable-next-line
__webpack_nonce__ = btoa(getRequestToken())

// Correct the root of the app for chunk loading
// OC.linkTo matches the apps folders
// OC.generateUrl ensure the index.php (or not)
// We do not want the index.php since we're loading files
// eslint-disable-next-line
__webpack_public_path__ = linkTo('vibeetoee', 'js/')
// __webpack_public_path__ = generateFilePath('vibeetoee', '', 'js/')

// sync(store, router)

Vue.prototype.$t = t
Vue.prototype.$n = n

Vue.prototype.t = t
Vue.prototype.n = n

// eslint-disable-next-line
Vue.prototype.appVersion = appVersion
Vue.prototype.OC = OC
Vue.prototype.OCA = OCA

export default new Vue({
	el: '#vibe_content',
	// router,
	store,
	render: h => h(App),
})
