import Vue from 'vue'
import Router from 'vue-router'
import { generateUrl } from '@nextcloud/router'

import App from '../App'

Vue.use(Router)

export default new Router({
	mode: 'history',
	base: generateUrl('/apps/vibeetoee', ''),
	linkActiveClass: 'active',
	routes: [
		{
			path: '/',
			component: App,
			props: true,
			name: 'root',
		},
	],
})
